<H1>Sondage sur les sondages</H1>
<form [formGroup]="surveyForm" (ngSubmit)="onSubmit()">
  <div formGroupName="questions" *ngIf="currentState == 'questions'">
    <label for="reponse1">Quels sont vos 3 thèmes préféres, séparés par des virgules ?</label><br />
    <input type="text" id="reponse1" name="reponse1" formControlName="reponse1" />

    <br />
    <br />
    <label for="reponse2">Aimez-vous répondre à des sondages ?</label><br />
    <input type="text" id="reponse2" name="reponse2" formControlName="reponse2" />
  </div>
  <div formGroupName="coordonnees" *ngIf="currentState == 'coordonnees'">
    <label for="nom">Comment vous appelez-vous ?</label><br />
    <input type="text" id="nom" name="nom" formControlName="nom" />

    <br />
    <br />
    <label for="email">Quelle est votre adresse email ?</label><br />
    <input type="text" id="email" name="email" formControlName="email" />
  </div>
  <div *ngIf="currentState == 'recap'">
    <p>Merci d'avoir rempli notre sondage.</p>
    <p>Avant de terminer, merci de vérifier les informations que vous nous avez données :</p>

    <p>Thèmes : {{ reponse1 }}</p>
    <ul>
      <li *ngFor="let theme of reponse1array">{{ theme }}</li>
    </ul>

    <p>Votre préférence sur les sondages : {{ reponse2 }}</p>

    <p>Vous vous appelez {{ nom }} et on peut vous écrire sur votre adresse {{ email }}</p>
  </div>
  <br />
  <br />
  <input type="submit" value="Envoyer" />

</form>